let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    cargo
    rls
    rustc
    rustfmt

    # dev dependencies
    xorg.libX11
    pkg-config
    openssl
  ];
}
